Package org.apache.sling.event.impl.jobs.config

# Class QueueConfigurationManager.QueueInfo

java.lang.Object
org.apache.sling.event.impl.jobs.config.QueueConfigurationManager.QueueInfo

Enclosing class:
  `QueueConfigurationManager`

public static final class QueueConfigurationManager.QueueInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`InternalQueueConfiguration`
`queueConfiguration`
`String`
`queueName`
`String`
`targetId`

## Constructor Summary

Constructors
Constructor
Description
`QueueInfo()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### queueConfiguration

public InternalQueueConfiguration queueConfiguration

### queueName

public String queueName

### targetId

public String targetId

## Constructor Details

### QueueInfo

public QueueInfo()

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`